package com.zjrs.zwnw.portal.blo;

import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.portal.dto.*;
import com.zjrs.zwnw.portal.po.VRrsSyXxlxzwPO;
import com.zjrs.zwnw.portal.po.VRsSyZskPO;

import jakarta.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

public interface FbglBLO {
    public String saveFbglZw(SaveFbglZwDTO dto);

    public void saveFbglFj(SaveFbglFjDTO dto);

    public void delFbglFj(CommonFbglDTO dto);

    public PageResult getFbglFjList(GetFbglFjListDTO dto);

    public VRrsSyXxlxzwPO getFbglZw(CommonFbglDTO dto);

    public PageResult getFbglList(GetFbglListDTO dto);

    public PageResult getfbglNr(GetFbglListDTO dto);

    public void updateFbglFbzt(ChangeFbglDTO dto);

    public void updateFbglZdzt(ChangeFbglDTO dto);

    public void delFbgl(CommonFbglDTO dto);

    public PageResult getYjfkList(GetYjfkListDTO dto);

    public Map getYjfk(String id);

    public String saveYjfk(SaveYjfkDTO dto);

    public PageResult getZskList(ZskQueryDTO dto);

    public VRsSyZskPO saveZsk(ZskDTO dto);

    public void deleteZsk(ZskDTO dto);

    public void publishZsk(ZskDTO dto);

    public VRsSyZskPO getZskXxById(ZskDTO dto);

    public void exportZsk(ZskQueryDTO dto, HttpServletResponse res);

    public List<Map<String,Object>> getZskFileList(ZskQueryDTO dto);

}
